require './helper'

setup_server [
  Static "#{__dirname}/public"
], 2, ->

  index_etag = '"510f749396a9c4a6858f1c085e8177922fd9b41e"'
  assert.static '/index.html', (res) ->
    assert.equal index_etag, res.headers.etag

  assert.static '/index.html', 'if-none-match': index_etag, (res) ->
    assert.equal 304, res.statusCode
    assert.equal 0, res.headers['content-length']