require './helper'

setup_server [
  Static "#{__dirname}/public"
], 1, ->

  assert.static '/index.html', range: 'bytes=1-3', (res) ->
    assert.equal 206, res.statusCode
    assert.equal 3, res.headers['content-length']
    assert.equal "bytes 1-3/6", res.headers['content-range']

  assert.static_body 'erv', '/index.html', range: 'bytes=1-3'
  assert.static_body 'ved', '/index.html', range: 'bytes=3-'
  assert.static_body 'ved', '/index.html', range: 'bytes=-3'